#include <LiquidCrystal_I2C.h>

LiquidCrystal_I2C lcd(0x27, 16, 2);
int sensorPin = A0;
int red = 11;
int green = 10;
int blue = 9;

void setup()
{ 
  Serial.begin(9600);
  lcd.init();
  lcd.backlight();
  pinMode(red, OUTPUT);
  pinMode(green, OUTPUT);
  pinMode(blue, OUTPUT);
}
void loop() {
  int sensorValue = analogRead(sensorPin);
  Serial.println(sensorValue);
  int clarity = sensorValue / 10;
  delay(200);
  lcd.setCursor(0, 0);
  lcd.print("Claritate:  ");
  lcd.print(clarity);
  lcd.print("% ");
  delay(200);
  if (clarity >= 60) {
    analogWrite(red, 0);
    analogWrite(green, 255);
    analogWrite(blue, 0);
    lcd.setCursor(0, 1);
    lcd.print("Apa e limpede!:)");
  }
  if ((clarity > 25) && (clarity < 60)) {
    analogWrite(red, 0);
    analogWrite(green, 0);
    analogWrite(blue, 255);
    lcd.setCursor(0, 1);
    lcd.print("Apa e tulbure.  ");
  }
  if (clarity <= 25) {
    analogWrite(red, 255);
    analogWrite(green, 0);
    analogWrite(blue, 0);
    lcd.setCursor(0, 1);
    lcd.print("Apa e murdara!! ");
  }
}
